# 86. Vaicājums: iegūt "Saimniecības"

Zemāk ir aprakstīta pamatā izmantotā GraphQL vaicājuma struktūra, lai izgūtu visus lietotājam pieejamos "Fermas":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums FetchAllFarms {
  getFarms {
    uuid
    userUuid
    nosaukums
    farmOwnership
    externalKey
    ownerEmail
    izveidesDatums
    updatedDate
  }
}
```

{% endcode %}

Papildus citiem parametriem, jūs varat izmantot `farmUuids` un `externalKeys` filtrus, lai pielāgotu atbildi. Šos filtrus var lietot neatkarīgi vai kombinācijā, ļaujot mērķtiecīgāk izgūt datus.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    nosaukums
    farmOwnership
    externalKey
    ownerEmail
    izveidesDatums
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/86.-vaicajums-iegut-saimniecibas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
